Name:          jetty-test-policy
Version:       1.2
Release:       %mkrel 1
Summary:       Jetty Toolchain :: Test Policy
Group:         Development/Java
License:       ASL 2.0
Url:           http://www.eclipse.org/jetty/
# svn export http://dev.eclipse.org/svnroot/rt/org.eclipse.jetty/jetty-toolchain/tags/jetty-test-policy-1.2/
# tar czf jetty-test-policy-1.2-src-svn.tar.gz jetty-test-policy-1.2
Source0:       jetty-test-policy-1.2-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: jetty-build-support

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-release-plugin

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Jetty Toolchain :: Test Policy.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jetty-test-policy-%{version}
chmod -R go=u-w *
%build
mvn-rpmbuild \
  -e \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

install -pm 644 target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/

(
  cd %{buildroot}%{_javadir}
  ln -sf %{name}-%{version}.jar %{name}.jar
)

install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Tue Nov 08 2011 gil <gil> 1.2-1.mga2
+ Revision: 165203
- imported package jetty-test-policy

